summaryrefslogtreecommitdiff
path: root/source4/script/build_idl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/build_idl.sh')
-rwxr-xr-xsource4/script/build_idl.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
index 24f18be2ef..cb81e4de74 100755
--- a/source4/script/build_idl.sh
+++ b/source4/script/build_idl.sh
@@ -1,10 +1,14 @@
-#!/bin/bash
+#!/bin/sh
+
+FULLBUILD=$1
for f in librpc/idl/*.idl; do
- echo Processing $f
base=`basename $f .idl`
ndr=librpc/ndr/ndr_$base
- pidl.pl --output $ndr --parse --header --parser --client librpc/rpc/rpc_$base.c $f || exit 1
+ if [ x$FULLBUILD = xFULL -o "$f" -nt $ndr.c ]; then
+ echo Processing $f
+ pidl.pl --output $ndr --parse --header --parser --client librpc/rpc/rpc_$base.c $f || exit 1
+ fi
done
exit 0